配送業者取得
GET
/delivery_companies/{delivery_company_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/delivery_companies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/delivery_companies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'配送業者を取得します。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”delivery_company_id
required
string format: uuid
配送業者ID
Responses
Section titled “Responses”取得成功
Media typeapplication/json
DeliveryCompanyResponse
object
id
配送業者ID
string format: uuid
name
名前
string
code
配送業者コード
integer
Examples
Exampledefault
{ "id": "12345678-1234-1234-1234-1234567890ab", "name": "ヤマト運輸", "code": 10}指定されたIDのリソースが見つからない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{ "type": "about:blank", "title": "Not Found", "detail": "指定されたIDのリソースが見つかりません", "status": 404}